# Copyright (c) 2015, InfluxFramework LLC
# License: MIT. See LICENSE
import influxframework
from influxframework.tests.utils import InfluxFrameworkTestCase

test_records = influxframework.get_test_records("Page")


class TestPage(InfluxFrameworkTestCase):
	def test_naming(self):
		self.assertRaises(
			influxframework.NameError,
			influxframework.get_doc(dict(doctype="Page", page_name="DocType", module="Core")).insert,
		)
		self.assertRaises(
			influxframework.NameError,
			influxframework.get_doc(dict(doctype="Page", page_name="Settings", module="Core")).insert,
		)
